#import <UIKit/UIKit.h>
#import <vector>
#import <string>

@interface BrowserViewController : UIViewController<UIWebViewDelegate> {
	IBOutlet UIWebView *webView;
	IBOutlet UITextField *addressBar;
	IBOutlet UIActivityIndicatorView *activityIndicator;
	std::vector<std::string> bookmarks;
	std::vector<std::string> info;
}
@property (nonatomic, strong) NSString *urlAddress;

-(IBAction) gotoAddress:(id)sender;
-(IBAction) goBack:(id)sender;
-(IBAction) goForward:(id)sender;
-(IBAction) close:(id)sender;
-(IBAction) addBookmark:(id)sender;

@end
