//
//  iStunnelViewController.h
//  iStunnel
//
//  Created by Кондакова Татьяна Андреевна on 03.12.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CPROCSP/PaneViewController.h>
#import <string>

static const char * server_port_number="443";

@interface iStunnelViewController : UIViewController <UINavigationControllerDelegate> {
	PaneViewController *CPROPane;
	std::string certThumbprint;
	std::string serverURL;
	bool state;
	NSMutableArray * certInfoArray;
	NSMutableArray * thumbprintArray;
	IBOutlet UIButton *browser;
	IBOutlet UITableView * tableView;
	CFReadStreamRef _fromServer;
	CFWriteStreamRef _toServer;
        int proxyPort;
}

-(IBAction)doConfigure:(id)sender;
-(IBAction)startPane:(id)sender;
-(IBAction)launchBrowser:(id)sender;
-(void)launchPane; 
-(void)connect;
-(void)selectCertificate;

@end
